Bug 286951 - conga passes fence_scsi nodename, where as it accepts only node
conga passes fence_scsi nodename, where as it accepts only node
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: conga (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Ryan McCabe
Brian Brock
: EasyFix, Reopened
Depends On: 277781
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 17:50 EDT by Abdel Sadek
Modified: 2009-04-16 16:27 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2007-0983
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 16:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix bug #286951 (1.62 KB, patch)
2007-09-20 23:21 EDT, Ryan McCabe
no flags Details | Diff

  None (edit)
Description Abdel Sadek 2007-09-11 17:50:43 EDT
+++ This bug was initially created as a clone of Bug #277781 +++

Description of problem:

Luci creates a invalid xml file, which creates incorrect parameters for
fence_scsi. It presents "nodename" whereas the code itself only accepts node.

The man page for fence_scsi also sugguests that the fence_scsi perl script
should take nodename=value on the stdin, although this does not seem to be the case.

I've lodged this against fence, as I believe that the simplest fix is to fix
with the minimum behavioral change.

There is also no fence component in the RHEL bugzilla list.

-- Additional comment from wmealing@redhat.com on 2007-09-05 02:19 EST --
Created an attachment (id=186901)
Patch for fence_scsi to accept both node and nodename as valid parameters.


-- Additional comment from pm-rhel@redhat.com on 2007-09-05 02:22 EST --
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Since this
bugzilla is in a component that is not approved for the current
release, it has been closed with resolution deferred.  You may
reopen this bugzilla for consideration in the next release.

-- Additional comment from wmealing@redhat.com on 2007-09-05 02:56 EST --
Bumped for 5.2

-- Additional comment from rmccabe@redhat.com on 2007-09-05 12:14 EST --
fence is subsumed by cman for rhel5
Comment 1 Ryan McCabe 2007-09-20 23:21:51 EDT
Created attachment 201641 [details]
patch to fix bug #286951

$ diffstat bz286951.diff 
 cluster/form-macros		      |    4 ++--
 site/luci/Extensions/FenceHandler.py |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 4 errata-xmlrpc 2007-11-21 16:51:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0983.html

Note You need to log in before you can comment on or make changes to this bug.